Package: webkit2gtk / 2.26.4-1~bpo9+3

dont-detect-sse2.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
From: Alberto Garcia <berto@igalia.com>
Subject: Don't check for SSE2 support on i386
Bug-Debian: https://bugs.debian.org/930935
Forwarded: no
Index: webkitgtk/Source/cmake/WebKitCompilerFlags.cmake
===================================================================
--- webkitgtk.orig/Source/cmake/WebKitCompilerFlags.cmake
+++ webkitgtk/Source/cmake/WebKitCompilerFlags.cmake
@@ -137,15 +137,6 @@ if (COMPILER_IS_GCC_OR_CLANG)
     if (CMAKE_COMPILER_IS_GNUCXX)
         WEBKIT_PREPEND_GLOBAL_COMPILER_FLAGS(-Wno-expansion-to-defined)
     endif ()
-
-    # Force SSE2 fp on x86 builds.
-    if (WTF_CPU_X86 AND NOT CMAKE_CROSSCOMPILING)
-        WEBKIT_PREPEND_GLOBAL_COMPILER_FLAGS(-msse2 -mfpmath=sse)
-        include(DetectSSE2)
-        if (NOT SSE2_SUPPORT_FOUND)
-            message(FATAL_ERROR "SSE2 support is required to compile WebKit")
-        endif ()
-    endif ()
 endif ()
 
 if (COMPILER_IS_GCC_OR_CLANG AND NOT MSVC)